Skip to main content
POST
Create connector

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace
string
required

Namespace identifier. This can be an ID for your user, a project ID, or any other identifier you wish to use to scope documents and memories.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_:-]+$
Example:

"user_alex"

Body

application/json
provider
string
required
Allowed value: "notion"
redirectUrl
string<uri>

Where the user returns after authorizing with the provider

documentLimit
integer

Maximum documents this connector imports

Required range: 1 <= x <= 10000

Response

Connector created

id
string
required

Connector identifier

authorization
object | null
required

Null for providers that authenticate with config only